{{/* vim: set filetype=mustache: */}}

{{/*
  Functions here are generated by helm, please don't use them directly
*/}}


{{/*
Expand the name of the chart.
*/}}
{{- define "handover-simulator.common.name" -}}
{{- default .Chart.Name .Values.nameOverride | trunc 63 | trimSuffix "-" -}}
{{- end -}}


{{/*
Create chart name and version as used by the chart label.
*/}}
{{- define "handover-simulator.common.chart" -}}
{{- printf "%s-%s" .Chart.Name .Chart.Version | replace "+" "_" | trunc 63 | trimSuffix "-" -}}
{{- end -}}


{{/*
Common labels
*/}}
{{- define "handover-simulator.common.labels" -}}
app.kubernetes.io/name: {{ include "handover-simulator.common.name" . }}
helm.sh/chart: {{ include "handover-simulator.common.chart" . }}
app.kubernetes.io/instance: {{ .Release.Name }}
{{- if .Values.oran_name }}
oran_name: {{ .Values.oran_name | quote }}
{{- end }}
{{- if .Chart.AppVersion }}
app.kubernetes.io/version: {{ .Chart.AppVersion | quote }}
{{- end }}
app.kubernetes.io/managed-by: {{ .Release.Service }}
{{- end -}}
